reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
Via.cxx File Reference

Go to the source code of this file.

Macros

#define RESIPROCATE_SUBSYSTEM   Subsystem::SIP
 
#define defineParam(_enum, _name, _type, _RFC_ref_ignored)
 

Functions

 defineParam (branch, "branch", BranchParameter, "RFC 3261")
 
 defineParam (comp, "comp", DataParameter, "RFC 3486")
 
 defineParam (received, "received", ReceivedParameter, "RFC 3261")
 
 defineParam (rport, "rport", RportParameter, "RFC 3581")
 
 defineParam (ttl, "ttl", UInt32Parameter, "RFC 3261")
 
 defineParam (sigcompId, "sigcomp-id", QuotedDataParameter, "RFC 5049")
 
 defineParam (maddr, "maddr", DataParameter, "RFC 3261")
 

Macro Definition Documentation

◆ defineParam

#define defineParam (   _enum,
  _name,
  _type,
  _RFC_ref_ignored 
)
Value:
_enum##_Param::DType& \
Via::param(const _enum##_Param& paramType) \
{ \
checkParsed(); \
_enum##_Param::Type* p = \
static_cast<_enum##_Param::Type*>(getParameterByEnum(paramType.getTypeNum())); \
if (!p) \
{ \
p = new _enum##_Param::Type(paramType.getTypeNum()); \
mParameters.push_back(p); \
} \
return p->value(); \
} \
\
const _enum##_Param::DType& \
Via::param(const _enum##_Param& paramType) const \
{ \
checkParsed(); \
_enum##_Param::Type* p = \
static_cast<_enum##_Param::Type*>(getParameterByEnum(paramType.getTypeNum())); \
if (!p) \
{ \
InfoLog(<< "Missing parameter " _name " " << ParameterTypes::ParameterNames[paramType.getTypeNum()]); \
DebugLog(<< *this); \
throw Exception("Missing parameter " _name, __FILE__, __LINE__); \
} \
return p->value(); \
}
static Data ParameterNames[MAX_PARAMETER]
static array of ParameterNames indexed by the 2nd element in defineParam(...)

Definition at line 280 of file Via.cxx.

◆ RESIPROCATE_SUBSYSTEM

#define RESIPROCATE_SUBSYSTEM   Subsystem::SIP

Definition at line 15 of file Via.cxx.

Function Documentation

◆ defineParam() [1/7]

defineParam ( branch  ,
"branch"  ,
BranchParameter  ,
"RFC 3261"   
)

◆ defineParam() [2/7]

defineParam ( comp  ,
"comp"  ,
DataParameter  ,
"RFC 3486"   
)

◆ defineParam() [3/7]

defineParam ( maddr  ,
"maddr"  ,
DataParameter  ,
"RFC 3261"   
)

◆ defineParam() [4/7]

defineParam ( received  ,
"received"  ,
ReceivedParameter  ,
"RFC 3261"   
)

◆ defineParam() [5/7]

defineParam ( rport  ,
"rport"  ,
RportParameter  ,
"RFC 3581"   
)

◆ defineParam() [6/7]

defineParam ( sigcompId  ,
"sigcomp-id"  ,
QuotedDataParameter  ,
"RFC 5049"   
)

◆ defineParam() [7/7]

defineParam ( ttl  ,
"ttl"  ,
UInt32Parameter  ,
"RFC 3261"   
)